Subject: [Ietf-calsify] Section 4.6.5 Time Zone Component: Not required when DTSTART is a DATE

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 14:28:37 2006

In section 4.6.5 Time Zone Component of RFC 2445 it says:

 > The "VTIMEZONE" calendar component MUST be present if the iCalendar
 > object contains an RRULE that generates dates on both sides of a time
 > zone shift (e.g. both in Standard Time and Daylight Saving Time)
 > unless the iCalendar object intends to convey a floating time (See
 > the section "4.1.10.11 Time" for proper interpretation of floating
 > time).

I believe the text should further clarify that a "VTIMEZONE"
calendar component is not required when the calendar component
has a DATE value type for the "DTSTART" property.

Proposed new text:

 > The "VTIMEZONE" calendar component MUST be present if the calendar
 > component contains an "RRULE" that generates recurrence instances on
 > both sides of a time zone shift (e.g., both in Standard Time and
 > Daylight Saving Time) unless the "DTSTART" property of the calendar
 > component is specified as a DATE value or as a "floating" DATE-TIME
 > value (See section 3.3.12 for proper interpretation of floating time).

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Nov 6 07:01:05 2006

Hi Bernard,

>  > value (See section 3.3.12 for proper interpretation of floating time).

Actually what is being said here is that a recurring event that uses a 
DATE-TIME value for DTSTART MUST either be floating or local time (i.e. 
timezone). Whether VTIMEZONE is present or not is then determined by the 
requirement of having it present if a DTSTART uses a TZID property. i.e. 
the RRULE does not drive the requirement for VTIMEZONE, instead the DTSTART 
does.

-- 
Cyrus Daboo